---
- name: Fetch facts
  cadoles.eole.eole_facts:

- name: S’assurer que le service creoled est démarré
  systemd:
    name: creoled
    state: started
  when: "'is_eole' in ansible_facts and ansible_facts['is_eole']"

- name: Fetch facts
  cadoles.eole.eole_module_facts:
  when: "'is_eole' in ansible_facts and ansible_facts['is_eole']"

- name: Basculer sur les sources de paquets internet
  shell:
    cmd: Query-Auto
  when: "'is_eole' in ansible_facts and ansible_facts['is_eole']"

- name: Mettre à jour
  shell:
    cmd: Maj-Auto
  when: "'is_eole' in ansible_facts and ansible_facts['is_eole']"
